[Deprecated] Use /orders/ground-transportation and pass passenger_car_van_or_suv as the vehicle_type.
Get a price quote for offsetting car ride carbon emissions.
Will return the amount of CO₂e to offset and total price.
/quotes/rideAuthorization
string
header
requiredBearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.
X-Subaccount-Id
string
If present, will use pricing appropriate for the subaccount with given id.
Quote Parameters
distance_km
number
requiredDistance of ride, in km
portfolio_id
string | null
Optional ID of the portfolio to use for the quote. The quote will be for an order fulfilled from this portfolio. If not specified, the account's default portfolio will be used.
source
string | null
Optional source of the quote. Defaults to api if not specified, otherwise must be one of api or checkout.
Use api if the eventual order will be placed via the Order API. Use checkout if the order will be placed using the Checkout Session API.
Quote Details
Show response attributes
amount_kg
number
Amount of carbon credits the quote is for, in kilograms
price_usd_cents
number
Price charged for the credits, in USD cents
Get Vehicle Ride Credits Price Quote
curl --request POST \
--url https://api.cnaught.com/v1/quotes/ride \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"distance_km": 10.5
}'{
"amount_kg": 15,
"price_usd_cents": 2350
}